package com.storlead.sales.pojo.dto.customer;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "CustomerCompanyAddDTO", description = "客户企业信息添加DTO")
public class CustomerCompanyAddDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关联客户id")
    private Long customerId;

    @ApiModelProperty(value = "企业名称")
    private String name;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "企业规模value（对应字典企业规模状态value）")
    private Long scaleDictValue;

    @ApiModelProperty(value = "企业网址")
    private String website;

    @ApiModelProperty(value = "所属行业")
    private String industry;

    @ApiModelProperty(value = "通信地址")
    private String communicationAddress;

    @ApiModelProperty(value = "邮政编码")
    private String postcode;

    @ApiModelProperty(value = "传真号码")
    private String faxNumber;


    @ApiModelProperty(value = "电子邮箱")
    private String email;

    @ApiModelProperty(value = "备用邮箱1")
    private String email1;
    @ApiModelProperty(value = "备用邮箱2")
    private String email2;
    @ApiModelProperty(value = "备用邮箱3")
    private String email3;

    @ApiModelProperty(value = "备用网址1")
    private String website1;
    @ApiModelProperty(value = "备用网址2")
    private String website2;
    @ApiModelProperty(value = "备用网址3")
    private String website3;

    @ApiModelProperty(value = "联系电话")
    private String telephone;

    @ApiModelProperty(value = "归属人员")
    private Long ownerBy;

    public void setEmail(String email){
        this.email = email == null ? null : email.trim();
    }
    public void setEmail1(String email1){
        this.email1 = email1 == null ? null : email1.trim();
    }
    public void setEmail2(String email2){
        this.email2 = email2 == null ? null : email2.trim();
    }
    public void setEmail3(String email3){
        this.email3 = email3 == null ? null : email3.trim();
    }

    public void setWebsite(String website){
        this.website = website == null ? null : website.trim();
    }
    public void setWebsite1(String website1){
        this.website1 = website1 == null ? null : website1.trim();
    }
    public void setWebsite2(String website2){
        this.website2 = website2 == null ? null : website2.trim();
    }
    public void setWebsite3(String website3){
        this.website3 = website3 == null ? null : website3.trim();
    }
}
